<div class="miam-catalog-recipe-card">
  <div class="miam-catalog-recipe-card__header">
    <span> {{headerText}}</span>
  </div>
  <div *ngIf="recipe else pictSkeleton" class="miam-catalog-recipe-card__picture" (click)="openRecipe()">
    <div class="miam-catalog-recipe-card__picture__gradient">
      <img class="miam-catalog-recipe-card__picture__img" loading="lazy" [src]="recipe.attributes['media-url']">
      <div *ngIf="!(groceriesListsService.list$ | async)?.hasRecipe(recipe?.id) && recipe.filigraneLogoUrl">
        <img class="miam-catalog-recipe-card__picture__sponsor" [src]=recipe.filigraneLogoUrl>
      </div>
    </div>
    <div *ngIf="(groceriesListsService.list$ | async)?.hasRecipe(recipe?.id)" class="miam-catalog-recipe-card__picture__tag">Déjà  ajoutée</div>
    <ng-container *ngIf="recipe else textSkeleton">
      <div class="miam-catalog-recipe-card__attributes__title" (click)="openRecipe()">
        {{recipe?.attributes['title']}}
      </div>
    </ng-container>
    <ng-template #textSkeleton>
      <ng-miam-skeleton [type]='skeleton.Text'></ng-miam-skeleton>
    </ng-template>
    <div class="miam-catalog-recipe-card__picture__actions">
      <ng-miam-like-button *ngIf="userService.isLogged$ | async" class="miam-catalog-recipe-card__actions__icon miam-noPadding" [recipe]='recipe'></ng-miam-like-button>
      <div #miamMoreActions class="miam-catalog-recipe-card__actions__icon" (click)='openMoreActions($event)'>
        <ng-miam-icon [iconName]="icon.HorizontalDots" primaryColor='var(--m-color-primary)'></ng-miam-icon>
      </div>
    </div>
  </div>
  <ng-template #pictSkeleton>
    <ng-miam-skeleton [type]='skeleton.Picture'></ng-miam-skeleton>
  </ng-template>
  <div class="miam-catalog-recipe-card__attributes">
    <div class="miam-catalog-recipe-card__attributes__control">
      <div class="miam-catalog-recipe-card__control__left__col">
        <div *ngIf='recipe else skeletoncounter' class="miam-catalog-recipe-card__left__col__counter">
          <ng-miam-counter-input [counter]="recipe.modifiedGuests" (counterChange)="updateGuests($event)"></ng-miam-counter-input>
        </div>
        <ng-template #skeletoncounter>
          <ng-miam-skeleton [type]='skeleton?.IconWithInfo'></ng-miam-skeleton>
        </ng-template>
      </div>
      <div class="miam-catalog-recipe-card__control__right__col">
        <div class="miam-catalog-recipe-card__right__col__price">
          <ng-miam-recipe-pricing [recipe]="recipe" [serves]="recipe?.modifiedGuests"></ng-miam-recipe-pricing>
        </div>
        <button  [disabled]='!recipe' (click)="addRecipe()"  class="m-button-fab-primary">
          <ng-miam-icon [width]="24" [height]="24" primaryColor='#fff' [iconName]="(groceriesListsService.list$ | async)?.hasRecipe(recipe?.id) ? icon.CheckList : icon.Cart"></ng-miam-icon>
        </button>
      </div>
    </div>
    <div class="miam-catalog-recipe-card__attributes__infos">
      <div *ngIf='recipe else skeletonInfo' class="miam-catalog-recipe-card__attributes__info  ">
        <ng-miam-icon [iconName]="icon.Time"></ng-miam-icon>
        <span class="miam-catalog-recipe-card__info__label">Temps nécessaire : {{ recipe?.totalTime }}</span>
      </div>
      <ng-template #skeletonInfo>
        <ng-miam-skeleton [type]='skeleton?.IconWithInfo'></ng-miam-skeleton>
      </ng-template>
    </div>
  </div>
  <ng-miam-actions-popin 
    *ngIf="actionsOpened" (close)="closeMoreActions()" (actionTriggered)="actionTriggered.emit($event)">
  </ng-miam-actions-popin>
</div>
<ng-template #cors>
  <ng-miam-cors-overlay></ng-miam-cors-overlay>
</ng-template>